<template>
  <div id="app">
    <div id="nav">
      <router-link to="/">Home</router-link>|
      <router-link to="/about">About</router-link>|
      <button @click="clear">Clear Data</button>
    </div>
    <router-view />
  </div>
</template>

<script>
export default {
  methods: {
    clear () {
      if (
        prompt(
          'Are you sure you want to delete the local cache? Enter password:'
        ) === 'senha1234567890'
      ) {
        this.$store.commit('clear')
      }
    }
  }
}
</script>

<style lang="scss">
@import url("../node_modules/material-design-icons-iconfont/dist/material-design-icons.css");

#app {
  font-family: "Avenir", Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}
#nav {
  padding: 30px;
  a {
    font-weight: bold;
    color: #2c3e50;
    &.router-link-exact-active {
      color: #42b983;
    }
  }
}
</style>
